<!--
  ~ iparapheur Web
  ~ Copyright (C) 2019-2025 Libriciel SCOP
  ~
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~ GNU Affero General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  -->

<div class="modal-header">
  <h4
    class="modal-title"
    id="modal-basic-title"
    [innerText]="secondaryActionEnum.Print | actionName">
  </h4>

  <button
    type="button"
    class="btn-close"
    [title]="commonMessages.CLOSE"
    (click)="activeModal.dismiss(commonMessages.ACTION_RESULT_CANCEL)">
  </button>
</div>

<div class="modal-body">
  <form class="ls-form row">

    <div class="py-2 px-4">

      <div
        *ngIf="isPes"
        class="alert alert-info"
        role="alert">
        <fa-icon
          class="pe-2"
          [icon]="commonIcons.INFO_ICON">
        </fa-icon>
        {{ messages.PES_DOCKET_REQUIRED }}
      </div>
      <div class="custom-control custom-checkbox">
        <input
          id="includeDocket"
          class="custom-control-input"
          type="checkbox"
          [disabled]="isPes"
          [(ngModel)]="includeDocket"
          [ngModelOptions]="{standalone: true}">
        <label
          class="custom-control-label"
          for="includeDocket"
          [innerText]="messages.ADD_SIGNATURE_DOCKET">
        </label>
      </div>

      <div
        class="mt-3"
        *ngIf="allAnnexes.length > 0">

        <label
          for="annexeList"
          [innerText]="messages.ANNEXES">
        </label>

        <div id="annexeList">
          <div
            *ngFor="let annexe of allAnnexes"
            class="custom-control custom-checkbox">
            <input
              [id]="'annexe_' + annexe.id"
              class="custom-control-input"
              type="checkbox"
              [checked]="checkedAnnexes.includes(annexe.id)"
              (change)="onAnnexeCheckboxClicked(annexe)"/>
            <label
              class="custom-control-label fw-normal"
              [for]="'annexe_' + annexe.id"
              [innerText]="annexe.name">
            </label>
          </div>
        </div>
      </div>

    </div>

  </form>
</div>

<div class="modal-footer">
  <button
    ls-button-cancel
    (click)="activeModal.close(commonMessages.ACTION_RESULT_CANCEL)">
  </button>
  <button
    ls-button
    (click)="perform()"
    [text]="secondaryActionEnum.Print | actionName: true"
    [iconSize]="iconSize.SMALL"
    [icon]="printIcon"
    [processing]="downloadInProgress"
    name="perform_action_print">
  </button>

</div>
